Installer crashes on MAC OS
Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13419

Description

Hello,

I tried several time to install the 1.6.0-1 QGIS version on a MAC OS Snow-Leopard machine (on a iMac 21.5" Core i3 3.06GHz, to be

more precise).

I installed first the GDAL complete and GSL frameworks but when I launch the QGIS installer it suddenly crashes.

I included below the first part of the error log, attached there is the full message.

Thank you for your help.

Cristian Flueraru

_

Process:         QGIS r1242

Path:            /Volumes/Qgis-Snow Leopard/QGIS.app/Contents/MacOS/QGIS

Identifier:      org.qgis.qgis

Version:         1.6.0 (1.6.0-Copiapo (exported))

Code Type:       X86-64 (Native)

Parent Process:  launchd r97

Date/Time:       2010-12-20 15:11:27.826 +0200

OS Version:      Mac OS X 10.6.5 (10H574)

Report Version:  6

Interval Since Last Report:          15416 sec

Crashes Since Last Report:           34

Per-App Interval Since Last Report:  17 sec

Per-App Crashes Since Last Report:   4

Anonymous UUID:                      E6F6FA55-6386-4FE8-86D5-6F0AA436C0FA

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)

Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000000

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

History

#1 - 2010-12-20 06:48 AM - William Kyngesburye

This is probably from an old version of a plugin.  You need to disable plugins and reinstall them:

Open your home folder, then open .qgis (Finder->Go->Go to Folder: .qgis).  Drag all the plugins (python/plugins) to your desktop and run Qgis to make sure

it runs.  Then drag them back one-by-one and run QGIS each time.  Trash any that crash QGIS and then you can reinstall newer versions with the plugin
installer in Qgis.  (Or you could just trash them all and reinstall all of them just to make sure they are all up to date.)

#2 - 2010-12-23 08:35 AM - flueraru -

- Resolution set to fixed

- Status changed from Open to Closed

It worked. Thanks a lot.
